Packages - Bug #3606

[pacman] pacman-contrib, pyalpm and pacutils depend on libalpm.so0.14
2024-03-19 03:50 PM - dllud

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

pacman needs to be updated to be on par with Arch and carry libalpm.so.14
Several auxiliary tools like pyalpm and those in pacman-contrib and pacutils are now failing due to the missing libalpm.so.14. Current
pacman in Parabola (6.0.2-8.parabola1) only brings libalpm.s0.13

Examples failures:

# paccache -rkO0
pacsort: error while loading shared libraries: libalpm.so.l4: cannot open shared object file: No s
uch file or directory

# pycman-version
Traceback (most recent call last):
File "/usr/bin/pycman-version", line 27, in <module>
import pyalpm
ImportError: libalpm.so.l4: cannot open shared object file: No such file or directory

History

#1 - 2024-03-19 07:38 PM - bill-auger

- Status changed from unconfirmed to confirmed

#2 - 2024-03-23 03:34 AM - bill-auger
- Assignee set to bill-auger

- Status changed from confirmed to fixed
